Bug 434791 - [PATCH] add symlink to libgdbm.so.2
[PATCH] add symlink to libgdbm.so.2
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gdbm (Show other bugs)
All Linux
low Severity low
: rc
: ---
Assigned To: Karel Klíč
Depends On:
Blocks: 391511
  Show dependency treegraph
Reported: 2008-02-25 09:56 EST by Adam Stokes
Modified: 2010-11-01 04:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-11-01 04:30:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
spec file update (990 bytes, patch)
2008-02-25 09:56 EST, Adam Stokes
no flags Details | Diff

  None (edit)
Description Adam Stokes 2008-02-25 09:56:16 EST
Description of problem:
When trying to build some versions of mod_perl on a RHEL4.4 machine, the build
fails with the following message:

************* WARNING *************

 Your Perl is configured to link against libgdbm,
 but libgdbm.so was not found.
 You could just symlink it to /usr/lib/libgdbm.so.2.0.0

************* WARNING *************

Version-Release number of selected component (if applicable):

Actual results:
See description

Expected results:
Build completes as it is able to properly find libgdbm

Additional info:
FAQ on the issue :
Comment 1 Adam Stokes 2008-02-25 09:56:17 EST
Created attachment 295800 [details]
spec file update
Comment 2 RHEL Product and Program Management 2008-10-31 12:45:47 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 8 Karel Klíč 2010-10-13 06:20:33 EDT
Adam, the warning seems to be displayed when the gdbm-devel package is not installed on the system (libgdbm.so is missing). Is there a version of mod_perl which needed libgdbm.so.2 symlink? 

I checked that with mod_perl-1.99_16 the warning is not displayed when the gdbm-devel package is installed.
Comment 9 Ludek Smid 2010-11-01 04:30:19 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red Hat Enterprise Linux maintenance release.

Red Hat does not currently plan to fix this issue in a Red Hat Enterprise Linux update for currently deployed products.

With the goal of minimizing risk of change for deployed systems, and in response to customer and partner requirements, Red Hat takes a conservative approach when evaluating enhancements and defects for inclusion in maintenance updates for currently deployed products. The primary objectives of update releases are to enable new hardware platform support and to resolve critical defects.

For more information on Red Hat Enterprise Linux maintenance policies, please consult: http://www.redhat.com/security/updates/errata/

Note You need to log in before you can comment on or make changes to this bug.